#include <iostream>
#define max 100
using namespace std;
//AABACDEFGHIJKLMNOPQRSTUVWXYZZ
int main()
{   long k,r;
    int i,n,prva_pozicija_k,prvi;
    char x[max];
    int z[26];
    int y[27];
        cin>>n;
        y[26]=n;
        for(i=0;i<n;i++)
            cin>>x[i];
        k=25;
        for(i=n-1;i>=0;i--)
            if(x[i]==k+65 || x[i]==k+97)
                {y[k]=i;
                 k--;
                }
        if(k>-1)
        cout<<"0";
        else
        
        {
          k=0;
          for(i=0;i<26;i++)
            {z[i]=0;
                
            }
           prva_pozicija_k=-1; prvi=0;
        
           for(i=0; i<n,k<26 ;i++)
            {if((x[i]==65+k || x[i]==97+k)&&i<y[k+1])
                {
                    if(prvi==0)
                     {  prvi=-1;
                        prva_pozicija_k=i;
                      }
                
                 z[k]++;
                }
            
              else
             if(i==y[k+1])
             {
                k++;
                i=prva_pozicija_k;
                prvi=0;
              }    
            }
            
            r=1;
            for(i=0;i<26;i++){
            r*=z[i];
            
                
            }
            cout<<r;
        }


    
}